jphase.fit

## Class MomentsACPHFit

- java.lang.Object
- - jphase.fit.ContPhaseFitter
  - - jphase.fit.MomentsContPhaseFitter
    - - jphase.fit.MomentsACPHFit

- All Implemented Interfaces:
    PhaseFitter

      public class MomentsACPHFit
      extends MomentsContPhaseFitter

  This class implements the moment-matching method proposed by Bobbio, Horvath and Telek in "Matching threee moments with minimal acyclic Phase-Type distributions", 2005. The method matches the first three moments with a subclass of Phase-type distributions known as Acyclic Phase-type distributions.
  Version:
    1.0
  Author:
    Juan F. Perez

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MomentsACPHFit(double[] data)`
    `MomentsACPHFit(double m1, double m2, double m3)` This constructor does not allow the determination of any parameter of the fit process

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContPhaseVar` | `fit()` Solves the equation system to get the parameters of the distribution, if the moments are feasible
    `int` | `getSize(double n2, double n3)` Computes the minimum number of phases needed to represent the tuple of the normalized moments

    - ### Methods inherited from class jphase.fit.ContPhaseFitter

      `getLogLikelihood`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MomentsACPHFit

          public MomentsACPHFit(double[] data)

      See Also:
        `MomentsContPhaseFitter.MomentsContPhaseFitter(double[])`

    - #### MomentsACPHFit

          public MomentsACPHFit(double m1,
                        double m2,
                        double m3)

      This constructor does not allow the determination of any parameter of the fit process
      See Also:
        `MomentsContPhaseFitter.MomentsContPhaseFitter(double,double,double)`

  - ### Method Detail

    - #### fit

          public ContPhaseVar fit()

      Solves the equation system to get the parameters of the distribution, if the moments are feasible
      Specified by:
        `fit` in interface `PhaseFitter`
      Specified by:
        `fit` in class `ContPhaseFitter`
      Returns:
        Parameters of the Acyclic Continuous Phase Distribution of order n. param[0]=n, param[1]=p, param[2]=lambdaY, param[3]=lambdaX1, param[4]=lambdaX2, param[5]=pX
      See Also:
        `PhaseFitter.fit()`

    - #### getSize

          public int getSize(double n2,
                    double n3)

      Computes the minimum number of phases needed to represent the tuple of the normalized moments
      Parameters:
        `n2` - Second normalized moment
        `n3` - Third normalized moment
      Returns:
        Minimum number of phases needed to represent the tuple of the normalized moments